/**
 *    ____       _   _     _____ _           _ _                _         
 *   |  _ \ __ _| |_| |__ |  ___(_)_ __   __| (_)_ __   __ _   (_)___     
 *   | |_) / _` | __| '_ \| |_  | | '_ \ / _` | | '_ \ / _` |  | / __|    
 *   |  __/ (_| | |_| | | |  _| | | | | | (_| | | | | | (_| |_ | \__ \    
 *   |_|   \__,_|\__|_| |_|_|   |_|_| |_|\__,_|_|_| |_|\__, (_)/ |___/    
 *                                                     |___/ |__/         
 *   https://github.com/qiao/PathFinding.js
 */
var PF=PF||{};typeof exports!="undefined"&&(typeof module!="undefined"&&module.exports&&(exports=module.exports=PF),exports.PF=PF),PF.Node=function(a,b,c,d){this.x=a,this.y=b,this.walkable=c===undefined?!0:c,this.parent=d===undefined?null:d},PF.Node.prototype.constructor=PF.Node,PF.Node.prototype.set=function(a,b){this[a]=b},PF.Node.prototype.get=function(a){return this[a]},PF.Node.prototype.clone=function(){return new PF.Node(this.x,this.y,this.walkable,this.parent)},PF.Grid=function(a,b,c){this.width=a,this.height=b,this._buildGrid(c)},PF.Grid.prototype._buildGrid=function(a){var b,c,d=this.width,e=this.height,f=[],g;for(b=0;b<e;++b){f.push([]),g=f[b];for(c=0;c<d;++c)g.push(new PF.Node(c,b))}this.nodes=f;if(a===undefined)return;if(a.length!=e||a[0].length!=d)throw new Error("Matrix size does not fit");for(b=0;b<e;++b)for(c=0;c<d;++c)a[b][c]&&(f[b][c].walkable=!1)},PF.Grid.prototype.getNodeAt=function(a,b){return this.nodes[b][a]},PF.Grid.prototype.isWalkableAt=function(a,b){return this.getNodeAt(a,b).get("walkable")},PF.Grid.prototype.setWalkableAt=function(a,b,c){this.getNodeAt(a,b).set("walkable",c)},PF.Grid.prototype.isInside=function(a,b){return a>=0&&a<this.width&&b>=0&&b<this.height},PF.Grid.prototype.setAttributeAt=function(a,b,c,d){this.getNodeAt(a,b).set(c,d)},PF.Grid.prototype.getAttributeAt=function(a,b,c){return this.getNodeAt(a,b).get(c)},PF.Grid.prototype.clone=function(){var a,b,c=this.width,d=this.height,e=this.nodes,f=new PF.Grid(c,d),g=[],h;for(a=0;a<d;++a){g.push([]),h=g[a];for(b=0;b<c;++b)h.push(e[a][b].clone())}return f.nodes=g,f},PF.BaseFinder=function(a){this.startX=null,this.startY=null,this.endX=null,this.endY=null,this.grid=null,this.gridHeight=null,this.gridWidth=null,this.allowDiagonal=a&&a.allowDiagonal,this.allowDiagonal&&this._inspectSurroundDiagonal!==undefined&&(this._inspectSurround=this._inspectSurroundDiagonal)},PF.BaseFinder.prototype.isInsideGrid=function(a,b){return this.grid.isInside(a,b)},PF.BaseFinder.prototype.setWalkableAt=function(a,b,c){this.grid.setWalkableAt(a,b,c)},PF.BaseFinder.prototype.isWalkableAt=function(a,b){return this.grid.isWalkableAt(a,b)},PF.BaseFinder.prototype.setAttributeAt=function(a,b,c,d){this.grid.setAttributeAt(a,b,c,d)},PF.BaseFinder.prototype.getAttributeAt=function(a,b,c){return this.grid.getAttributeAt(a,b,c)},PF.BaseFinder.prototype.constructor=PF.BaseFinder,PF.BaseFinder.prototype.findPath=function(a,b,c,d,e){return this.startX=a,this.startY=b,this.endX=c,this.endY=d,this.grid=e,this.gridWidth=e.width,this.gridHeight=e.height,this._find()},PF.BaseFinder.prototype._constructPath=function(){var a=this.startX,b=this.startY,c,d,e=this.grid,f=[[this.endX,this.endY]];for(;;){c=f[0][0],d=f[0][1];if(c==a&&d==b)return f;f.unshift(e.getAttributeAt(c,d,"parent"))}return[]},PF.BaseFinder.prototype._find=function(){throw new Error("Sub-classes must implement this method")},PF.BaseFinder.xOffsets=[-1,0,1,0],PF.BaseFinder.yOffsets=[0,1,0,-1],PF.BaseFinder.xDiagonalOffsets=[-1,-1,1,1],PF.BaseFinder.yDiagonalOffsets=[-1,1,1,-1],PF.Heap=function(a){this._cmp=a||function(a,b){return a<b},this._heap=[]},PF.Heap.prototype.top=function(){return this._heap[0]},PF.Heap.prototype.size=function(){return this._heap.length},PF.Heap.prototype.isEmpty=function(){return!this.size()},PF.Heap.prototype.push=function(a){this._heap.push(a),this._siftDown(0,this._heap.length-1)},PF.Heap.prototype.pop=function(){var a,b,c;return a=this._heap,b=a.pop(),a.length?(c=a[0],a[0]=b,this._siftUp(0)):c=b,c},PF.Heap.prototype.replace=function(a){var b=this._heap[0];return this._heap[0]=a,this._siftUp(0),b},PF.Heap.prototype.pushpop=function(a){var b=this._heap,c;return b.length&&this._cmp(b[0],a)&&(c=b[0],b[0]=a,a=c,this._siftUp(0)),a},PF.Heap.prototype.heapify=function(){var a,b=this._heap.length;for(a=Math.floor(b/2)-1;a>=0;--a)this._siftUp(a)},PF.Heap.prototype._siftDown=function(a,b){var c,d,e,f,g;c=this._heap,d=this._cmp,e=c[b];while(b>a){f=b-1>>1,g=c[f];if(d(e,g)){c[b]=g,b=f;continue}break}c[b]=e},PF.Heap.prototype._siftUp=function(a){var b,c,d,e,f,g,h;c=this._cmp,b=this._heap,d=b.length,e=a,f=b[a],g=2*a+1;while(g<d)h=g+1,h<d&&!c(b[g],b[h])&&(g=h),b[a]=b[g],a=g,g=2*a+1;b[a]=f,this._siftDown(e,a)},PF.Heuristic={},PF.Heuristic.manhattan=function(a,b){return a+b},PF.Heuristic.euclidean=function(a,b){return Math.sqrt(a*a+b*b)},PF.Heuristic.chebyshev=function(a,b){return Math.max(a,b)},PF.AStarFinder=function(a){a=a||{},PF.BaseFinder.call(this,a),this.heuristic=a.heuristic||PF.Heuristic.manhattan},PF.AStarFinder.prototype=new PF.BaseFinder,PF.AStarFinder.prototype.constructor=PF.AStarFinder,PF.AStarFinder.prototype._find=function(){var a,b,c=this.startX,d=this.startY,e=this.endX,f=this.endY,g=this.grid,h=new PF.Heap(function(a,b){var c=g.getAttributeAt(a[0],a[1],"f"),d=g.getAttributeAt(b[0],b[1],"f");return c!=d?c<d:g.getAttributeAt(a[0],a[1],"h")<g.getAttributeAt(b[0],b[1],"h")}),i;this.openList=h,i=g.getNodeAt(c,d),i.set("g",0),i.set("f",0),h.push([c,d]),i.set("opened",!0);while(!h.isEmpty()){pos=h.pop(),a=pos[0],b=pos[1],g.setAttributeAt(a,b,"closed",!0);if(a==e&&b==f)return this._constructPath();this._inspectSurround(a,b)}return[]},PF.AStarFinder.prototype._inspectSurround=function(a,b){var c=PF.BaseFinder.xOffsets,d=PF.BaseFinder.yOffsets,e=this.grid,f,g,h;for(f=0;f<c.length;++f)g=a+c[f],h=b+d[f],e.isInside(g,h)&&e.isWalkableAt(g,h)&&this._inspectNodeAt(g,h,a,b,!1)},PF.AStarFinder.prototype._inspectSurroundDiagonal=function(a,b){var c=PF.BaseFinder.xOffsets,d=PF.BaseFinder.yOffsets,e=PF.BaseFinder.xDiagonalOffsets,f=PF.BaseFinder.yDiagonalOffsets,g=this.grid,h,i,j,k=[];for(h=0;h<c.length;++h)i=a+c[h],j=b+d[h],g.isInside(i,j)&&g.isWalkableAt(i,j)&&(this._inspectNodeAt(i,j,a,b,!1),k.push(h));for(h=0;h<k.length;++h)i=a+e[k[h]],j=b+f[k[h]],g.isInside(i,j)&&g.isWalkableAt(i,j)&&this._inspectNodeAt(i,j,a,b,!0)},PF.AStarFinder.prototype._inspectNodeAt=function(a,b,c,d,e){var f=this.grid,g=this.openList,h=f.getNodeAt(a,b);if(h.get("closed"))return;h.get("opened")?this._tryUpdate(a,b,c,d,e)&&g.heapify():(h.set("opened",!0),this._tryUpdate(a,b,c,d,e),g.push([a,b]))},PF.AStarFinder.prototype._tryUpdate=function(a,b,c,d,e){var f=this.grid,g=f.getNodeAt(c,d),h=g.get("g")+(e?1.4142:1);return node=f.getNodeAt(a,b),node.get("g")===undefined||h<node.get("g")?(node.set("parent",[c,d]),node.set("g",h),node.set("h",this._calculateH(a,b)),node.set("f",node.get("g")+node.get("h")),!0):!1},PF.AStarFinder.prototype._calculateH=function(a,b){var c=Math.abs(a-this.endX),d=Math.abs(b-this.endY);return this.heuristic(c,d)},PF.BreadthFirstFinder=function(a){PF.BaseFinder.call(this,a)},PF.BreadthFirstFinder.prototype=new PF.BaseFinder,PF.BreadthFirstFinder.prototype.constructor=PF.BreadthFirstFinder,PF.BreadthFirstFinder.prototype._find=function(){var a=[],b,c,d,e,f,g=this.startX,h=this.startY,i=this.endX,j=this.endY,k=this.grid;this.openList=a,a.push([g,h]),k.setAttributeAt(g,h,"opened",!0);while(a.length){b=a.shift(),c=b[0],d=b[1],k.setAttributeAt(c,d,"closed",!0);if(c==i&&d==j)return this._constructPath();this._inspectSurround(c,d)}return[]},PF.BreadthFirstFinder.prototype._inspectNodeAt=function(a,b,c,d){var e=this.grid,f=e.getNodeAt(a,b);if(f.get("closed")||f.get("opened"))return;this.openList.push([a,b]),e.setAttributeAt(a,b,"opened",!0),e.setAttributeAt(a,b,"parent",[c,d])},PF.BreadthFirstFinder.prototype._inspectSurround=function(a,b){var c=PF.BaseFinder.xOffsets,d=PF.BaseFinder.yOffsets,e=this.grid,f,g,h;for(f=0;f<c.length;++f)g=a+c[f],h=b+d[f],e.isInside(g,h)&&e.isWalkableAt(g,h)&&this._inspectNodeAt(g,h,a,b)},PF.BreadthFirstFinder.prototype._inspectSurroundDiagonal=function(a,b){var c=PF.BaseFinder.xOffsets,d=PF.BaseFinder.yOffsets,e=PF.BaseFinder.xDiagonalOffsets,f=PF.BaseFinder.yDiagonalOffsets,g=this.grid,h,i,j,k=[];for(h=0;h<c.length;++h)i=a+c[h],j=b+d[h],g.isInside(i,j)&&g.isWalkableAt(i,j)&&(this._inspectNodeAt(i,j,a,b),k.push(h));for(h=0;h<k.length;++h)i=a+e[k[h]],j=b+f[k[h]],g.isInside(i,j)&&g.isWalkableAt(i,j)&&this._inspectNodeAt(i,j,a,b)},PF.BestFirstFinder=function(a){PF.AStarFinder.call(this,a);var b=this.heuristic;this.heuristic=function(a,c){return b(a,c)*1e6}},PF.BestFirstFinder.prototype=new PF.AStarFinder,PF.BestFirstFinder.prototype.constructor=PF.BestFirstFinder,PF.DijkstraFinder=function(a){PF.AStarFinder.call(this,a),this.heuristic=function(a,b){return 0}},PF.DijkstraFinder.prototype=new PF.AStarFinder,PF.DijkstraFinder.prototype.constructor=PF.DijkstraFinder,PF.BiAStarFinder=function(a){PF.AStarFinder.call(this,a)},PF.BiAStarFinder.prototype=new PF.AStarFinder,PF.BiAStarFinder.prototype.constructor=PF.BiAStarFinder,PF.BiAStarFinder.prototype._find=function(){var a,b,c=this.startX,d=this.startY,e=this.endX,f=this.endY,g=this.grid,h,i=function(a,b){var c=g.getAttributeAt(a[0],a[1],"f"),d=g.getAttributeAt(b[0],b[1],"f");return c!=d?c<d:g.getAttributeAt(a[0],a[1],"h")<g.getAttributeAt(b[0],b[1],"h")},j=new PF.Heap(i),k=new PF.Heap(i);this.sourceOpenList=j,this.targetOpenList=k,j.push([c,d]),h=g.getNodeAt(c,d),h.set("g",0),h.set("f",0),h.set("opened",!0),h.set("by","source"),k.push([e,f]),h=g.getNodeAt(e,f),h.set("g",0),h.set("f",0),h.set("opened",!0),h.set("by","target");while(!j.isEmpty()&&!k.isEmpty())if(this._expandSource()||this._expandTarget())return this.path;return[]},PF.BiAStarFinder.prototype._expandSource=function(){return this._expand("source")},PF.BiAStarFinder.prototype._expandTarget=function(){return this._expand("target")},PF.BiAStarFinder.prototype._expand=function(a){var b,c,d,e;return e=this.grid,b=this[a+"OpenList"].pop(),c=b[0],d=b[1],e.setAttributeAt(c,d,"closed",!0),e.setAttributeAt(c,d,"by",a),this._inspectSurround(c,d,a)},PF.BiAStarFinder.prototype._inspectSurround=function(a,b,c){var d=PF.BaseFinder.xOffsets,e=PF.BaseFinder.yOffsets,f=this.grid,g,h,i;for(g=0;g<d.length;++g){h=a+d[g],i=b+e[g];if(f.isInside(h,i)&&f.isWalkableAt(h,i)&&this._inspectNodeAt(h,i,a,b,!1,c))return!0}return!1},PF.BiAStarFinder.prototype._inspectSurroundDiagonal=function(a,b,c){var d=PF.BaseFinder.xOffsets,e=PF.BaseFinder.yOffsets,f=PF.BaseFinder.xDiagonalOffsets,g=PF.BaseFinder.yDiagonalOffsets,h=this.grid,i,j,k,l=[];for(i=0;i<d.length;++i){j=a+d[i],k=b+e[i];if(h.isInside(j,k)&&h.isWalkableAt(j,k)){if(this._inspectNodeAt(j,k,a,b,!1,c))return!0;l.push(i)}}for(i=0;i<l.length;++i){j=a+f[l[i]],k=b+g[l[i]];if(h.isInside(j,k)&&h.isWalkableAt(j,k)&&this._inspectNodeAt(j,k,a,b,!0,c))return!0}return!1},PF.BiAStarFinder.prototype._inspectNodeAt=function(a,b,c,d,e,f){var g=this.grid,h=this[f+"OpenList"],i=g.getNodeAt(a,b);if(i.get("closed"))return!1;if(i.get("opened")){if(i.get("by")!=f)return this.pathFound=!0,this.path=this._constructPath(a,b,c,d,f),!0;this._tryUpdate(a,b,c,d,e,f)&&h.heapify()}else i.set("opened",!0),i.set("by",f),this._tryUpdate(a,b,c,d,e,f),h.push([a,b]);return!1},PF.BiAStarFinder.prototype._tryUpdate=function(a,b,c,d,e,f){var g=this.grid,h=g.getNodeAt(c,d),i=h.get("g")+(e?1.4142:1);return node=g.getNodeAt(a,b),node.get("g")===undefined||i<node.get("g")?(node.set("parent",[c,d]),node.set("g",i),node.set("h",this._calculateH(a,b,f)),node.set("f",node.get("g")+node.get("h")),!0):!1},PF.BiAStarFinder.prototype._constructPath=function(a,b,c,d,e){var f,g,h,i,j,k,l,m,n;h=this.startX,i=this.startY,j=this.endX,k=this.endY,l=this.grid,e=="source"?(m=[[c,d]],n=[[a,b]]):(m=[[a,b]],n=[[c,d]]);for(;;){f=m[0][0],g=m[0][1];if(f==h&&g==i)break;m.unshift(l.getAttributeAt(f,g,"parent"))}for(;;){f=n[0][0],g=n[0][1];if(f==j&&g==k)break;n.unshift(l.getAttributeAt(f,g,"parent"))}return n.reverse(),m.concat(n)},PF.BiAStarFinder.prototype._calculateH=function(a,b,c){if(c=="source"){var d=Math.abs(a-this.endX),e=Math.abs(b-this.endY);return this.heuristic(d,e)}var d=Math.abs(a-this.startX),e=Math.abs(b-this.startY);return this.heuristic(d,e)},PF.BiBestFirstFinder=function(a){PF.BiAStarFinder.call(this,a);var b=this.heuristic;this.heuristic=function(a,c){return b(a,c)*1e6}},PF.BiBestFirstFinder.prototype=new PF.BiAStarFinder,PF.BiBestFirstFinder.prototype.constructor=PF.BiBestFirstFinder,PF.BiDijkstraFinder=function(a){PF.BiAStarFinder.call(this,a),this.heuristic=function(a,b){return 0}},PF.BiDijkstraFinder.prototype=new PF.BiAStarFinder,PF.BiDijkstraFinder.prototype.constructor=PF.BiDijkstraFinder,PF.BiBreadthFirstFinder=function(a){PF.BreadthFirstFinder.call(this,a)},PF.BiBreadthFirstFinder.prototype=new PF.BreadthFirstFinder,PF.BiBreadthFirstFinder.prototype.constructor=PF.BiBreadthFirstFinder,PF.BiBreadthFirstFinder.prototype._find=function(){var a,b,c,d,e,f=this.startX,g=this.startY,h=this.endX,i=this.endY,j=this.grid,k=[],l=[];this.sourceOpenList=k,this.targetOpenList=l,k.push([f,g]),j.setAttributeAt(f,g,"opened",!0),j.setAttributeAt(f,g,"by","source"),l.push([h,i]),j.setAttributeAt(h,i,"opened",!0),j.setAttributeAt(h,i,"by","target");while(k.length&&l.length)if(this._expandSource()||this._expandTarget())return this.path;return[]},PF.BiBreadthFirstFinder.prototype._expandSource=function(){return this._expand("source")},PF.BiBreadthFirstFinder.prototype._expandTarget=function(){return this._expand("target")},PF.BiBreadthFirstFinder.prototype._expand=function(a){var b,c,d,e=this.grid;return b=this[a+"OpenList"].shift(),c=b[0],d=b[1],e.setAttributeAt(c,d,"closed",!0),e.setAttributeAt(c,d,"by",a),this._inspectSurround(c,d,a)},PF.BiBreadthFirstFinder.prototype._inspectSurround=function(a,b,c){var d=PF.BaseFinder.xOffsets,e=PF.BaseFinder.yOffsets,f=this.grid,g,h,i;for(g=0;g<d.length;++g){h=a+d[g],i=b+e[g];if(f.isInside(h,i)&&f.isWalkableAt(h,i)&&this._inspectNodeAt(h,i,a,b,c))return!0}return!1},PF.BiBreadthFirstFinder.prototype._inspectSurroundDiagonal=function(a,b,c){var d=PF.BaseFinder.xOffsets,e=PF.BaseFinder.yOffsets,f=PF.BaseFinder.xDiagonalOffsets,g=PF.BaseFinder.yDiagonalOffsets,h=this.grid,i,j,k,l=[];for(i=0;i<d.length;++i){j=a+d[i],k=b+e[i];if(h.isInside(j,k)&&h.isWalkableAt(j,k)){if(this._inspectNodeAt(j,k,a,b,c))return!0;l.push(i)}}for(i=0;i<l.length;++i){j=a+f[l[i]],k=b+g[l[i]];if(h.isInside(j,k)&&h.isWalkableAt(j,k)&&this._inspectNodeAt(j,k,a,b,c))return!0}return!1},PF.BiBreadthFirstFinder.prototype._inspectNodeAt=function(a,b,c,d,e){var f=this.grid,g=f.getNodeAt(a,b);return g.get("closed")?!1:g.get("opened")?g.get("by")!=e?(this.path=this._constructPath(a,b,c,d,e),!0):!1:(this[e+"OpenList"].push([a,b]),f.setAttributeAt(a,b,"opened",!0),f.setAttributeAt(a,b,"parent",[c,d]),f.setAttributeAt(a,b,"by",e),!1)},PF.BiBreadthFirstFinder.prototype._constructPath=function(a,b,c,d,e){var f,g,h,i,j,k,l,m,n;h=this.startX,i=this.startY,j=this.endX,k=this.endY,l=this.grid,e=="source"?(m=[[c,d]],n=[[a,b]]):(m=[[a,b]],n=[[c,d]]);for(;;){f=m[0][0],g=m[0][1];if(f==h&&g==i)break;m.unshift(l.getAttributeAt(f,g,"parent"))}for(;;){f=n[0][0],g=n[0][1];if(f==j&&g==k)break;n.unshift(l.getAttributeAt(f,g,"parent"))}return n.reverse(),m.concat(n)}